### Method

# Gtk Snapshot push_component_transfer

since: 4.20

#### Declaration [src]

    void
    gtk_snapshot_push_component_transfer (
      GtkSnapshot* snapshot,
      const GskComponentTransfer* red,
      const GskComponentTransfer* green,
      const GskComponentTransfer* blue,
      const GskComponentTransfer* alpha
    )

#### Description [src]

Modifies the colors of an image by applying a transfer function for each component.

The transfer functions operate on unpremultiplied colors.

The image is recorded until the next call to `gtk_snapshot_pop()`.

Available since: 4.20

#### Parameters

`red`

  Type: `GskComponentTransfer`

  The transfer for the red component.

  The data is owned by the caller of the method.

`green`

  Type: `GskComponentTransfer`

  The transfer for the green component.

  The data is owned by the caller of the method.

`blue`

  Type: `GskComponentTransfer`

  The transfer for the blue component.

  The data is owned by the caller of the method.

`alpha`

  Type: `GskComponentTransfer`

  The transfer for the alpha component.

  The data is owned by the caller of the method.